<?PHP
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* Based on PhpNuke 4.x source code                                     */
/*                                                                      */
/* NPDS Copyright (c) 2002-2007 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/*  Tranlated by :
    Albert Bruc (al@linuxfrench.net)
    Philippe LEVIEZ (pleviez@vintagevw.org)
    Antoine Corbin (tonial@cosmosonic.com)
    Gaël Duval (gduval@cosmosonic.com)
    Patrick Lefèbvre 08/2001 (patrick.lefebvre@skynet.be)
*/

function translate($phrase) {
   $tmp=translate_pass1($phrase);
   include("language/lang-mods.php");

   if (cur_charset=="utf-8") {
      return utf8_encode($tmp);
   } else {
      return ($tmp);
   }
}

function translate_pass1($phrase) {
 switch($phrase) {
   case "$englishname": $tmp = "$englishname"; break;
   case "datestring": $tmp = "%A, %B %d @ %T %Z"; break;
   case "linksdatestring": $tmp = "%m-%d-%Y"; break;
   case "datestring2": $tmp = "%A, %B %d"; break;
   case "dateinternal": $tmp = "Y-m-d H:i"; break;

   // NPDS Sable
   case "daydate": $tmp="%A, %B %e %Y"; break; // meta-lang !date!
   // NPDS Sable

   default: $tmp = "$phrase"; break;
 }
 return $tmp;
}
?>